.

FAQ

SynchroArts.com works best with JavaScript enabled

If you are using Logic Pro X 10.6.2 you must upgrade to VocAlign Ultra 1.0.15.7 or later.

The latest installer is available from our Downoads page at https://www.synchroarts.com/downloads/

This version contains a fix for a crash that can occur when you quit Logic Pro X even if VocAlign Ultra was not in use, displaying  the message Logic Pro quit unexpectedly while using the VocAlign Ultra plug-in.